from PytorchBoot.application import PytorchBootApplication
from runners.view_generator import ViewGenerator

@PytorchBootApplication("generate_view")
class ViewGenerateApp:
    @staticmethod
    def start():
        ''' 
            call default or your custom runners here, code will be executed 
        automatically when type "pytorch-boot run" or "ptb run" in terminal
        
            example:
                Trainer("path_to_your_train_config").run()
                Evaluator("path_to_your_eval_config").run()
        '''       
        ViewGenerator("configs/local/view_generate_config.yaml").run()
